package gmt.protocol.ext.VO;

public class ExtMsg_RPC21VO {
	private String msg;
	private String packetType;
	private boolean chkTxMal;
	private boolean chkVSWR;
	private boolean chkRxChA;
	private boolean chkRxChB;
	private boolean chkGeneral;
	private boolean chkUTC;
	private boolean chkNoSensor;
	private boolean chkFrameSync;
	private boolean chkDGPS;
	private boolean chkCommunication;
	private boolean chkTemperature;
	private boolean chkBootMode;
	private boolean chkConfig;
	private boolean chkRcvMsg;
	
	public ExtMsg_RPC21VO() {
		this.msg = "";
		this.packetType = "";
		this.chkTxMal         = false;
		this.chkVSWR          = false;
		this.chkRxChA         = false;
		this.chkRxChB         = false;
		this.chkGeneral       = false;
		this.chkUTC           = false;
		this.chkNoSensor      = false;
		this.chkFrameSync     = false;
		this.chkDGPS          = false;
		this.chkCommunication = false;
		this.chkTemperature   = false;
		this.chkBootMode      = false;
		this.chkConfig        = false;
		this.chkRcvMsg        = false;
	}
	
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getPacketType() {
		return packetType;
	}
	public void setPacketType(String packetType) {
		this.packetType = packetType;
	}	
	public boolean getChkTxMal() {
		return chkTxMal;
	}
	public void setChkTxMal(boolean chkTxMal) {
		this.chkTxMal = chkTxMal;
	}	
	public boolean getChkVSWR() {
		return chkVSWR;
	}
	public void setChkVSWR(boolean chkVSWR) {
		this.chkVSWR = chkVSWR;
	}	
	public boolean getChkRxChA() {
		return chkRxChA;
	}
	public void setChkRxChA(boolean chkRxChA) {
		this.chkRxChA = chkRxChA;
	}
	public boolean getChkRxChB() {
		return chkRxChB;
	}
	public void setChkRxChB(boolean chkRxChB) {
		this.chkRxChB = chkRxChB;
	}	
	public boolean getChkGeneral() {
		return chkGeneral;
	}
	public void setChkGeneral(boolean chkGeneral) {
		this.chkGeneral = chkGeneral;
	}		
	public boolean getChkUTC() {
		return chkUTC;
	}
	public void setChkUTC(boolean chkUTC) {
		this.chkUTC = chkUTC;
	}	
	public boolean getChkNoSensor() {
		return chkNoSensor;
	}
	public void setChkNoSensor(boolean chkNoSensor) {
		this.chkNoSensor = chkNoSensor;
	}		
	public boolean getChkFrameSync() {
		return chkFrameSync;
	}
	public void setChkFrameSync(boolean chkFrameSync) {
		this.chkFrameSync = chkFrameSync;
	}
	public boolean getChkDGPS() {
		return chkDGPS;
	}
	public void setChkDGPS(boolean chkDGPS) {
		this.chkDGPS = chkDGPS;
	}	
	public boolean getChkCommunication() {
		return chkCommunication;
	}
	public void setChkCommunication(boolean chkCommunication) {
		this.chkCommunication = chkCommunication;
	}	
	public boolean getChkTemperature() {
		return chkTemperature;
	}
	public void setChkTemperature(boolean chkTemperature) {
		this.chkTemperature = chkTemperature;
	}	
	public boolean getChkBootMode() {
		return chkBootMode;
	}
	public void setChkBootMode(boolean chkBootMode) {
		this.chkBootMode = chkBootMode;
	}	
	public boolean getChkConfig() {
		return chkConfig;
	}
	public void setChkConfig(boolean chkConfig) {
		this.chkConfig = chkConfig;
	}	
	public boolean getChkRcvMsg() {
		return chkRcvMsg;
	}
	public void setChkRcvMsg(boolean chkRcvMsg) {
		this.chkRcvMsg = chkRcvMsg;
	}		
}
